# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'action_texter/version'

Gem::Specification.new do |spec|
  spec.name          = 'action-texter'
  spec.version       = ActionTexter.version
  spec.authors       = ['oliverzeyen']
  spec.email         = ['oliver.zeyen@hitfoxgroup.com']

  spec.summary       = 'Foundation for API driven sms delivery'
  spec.description   = 'Send text messages by means of the HTTP protocol via a HTTP driven sms provider'
  spec.homepage      = 'https://github.com/HitFox/action-texter'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'webmock', '~> 1.0'

  if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0')
    spec.add_runtime_dependency 'phony', '~> 2.12'
    spec.add_runtime_dependency 'json'
  else
    spec.add_dependency 'phony', '~> 2.15'
    spec.add_dependency 'json'
  end
end
